Subject: 29.0.50; `cl-case' should error on incorrect use

From: Göktuğ Kayaalp <[email-masked]>
Date: Mon, 03 Oct 2022 00:39:39 +0300

Hello,

I noticed the change associated with this bug
(6d8f5161ead689b7a2e44a7de0a695f0ab4c833b) today building Emacs and
testing it against my packages; it seems that it’s broken a few
packages, at least org-checklist and pdf-tools[1].

I usually go thru the diff of NEWS and the new commits when I build
Emacs but I doubt there’s a NEWS entry for this breaking change.

Is it possible that (i) a relevant NEWS entry is added and/or (ii) maybe
this error is made non-fatal, at least for a while?

[1] I’ll probably send patches to these packages, but I’m not sure if
org-checklist is maintained by anyone.

-- 
İ. Göktuğ Kayaalp / @cadadr / <https://www.gkayaalp.com/>
pgp:   024C 30DD 597D 142B 49AC 40EB 465C D949 B101 2427